import 'package:flutter/material.dart';
import 'package:shared_preferences/shared_preferences.dart';

/// Description: LocalData
/// Time       : 08/18/2023 Friday
/// Author     : liuyuqi.gov@msn.cn
class LocalData {
  static SharedPreferences _sharedPreferences;
  static init() async {
    if (_sharedPreferences == null) {
      _sharedPreferences = await SharedPreferences.getInstance();
      debugPrint("init LocalData");
    }
  }

  static SharedPreferences getInstance() {
    return _sharedPreferences;
  }
}
